> ## Documentation Index
> Fetch the complete documentation index at: https://upstash-partnerstash.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Get a failed workflow run from the DLQ

> Get a single failed workflow run from the DLQ

Get a single failed workflow run from the Dead Letter Queue (DLQ).

## Request

<ParamField path="dlqId" type="string">
  The DLQ id of the failed workflow run you want to retrieve. You will see this id when
  listing all workflow runs in the DLQ with the [/v2/workflows/dlq](/workflow/rest/dlq/list) endpoint.
</ParamField>

## Response

If the workflow run is not found in the DLQ (either it has already been removed by you, or automatically), the endpoint returns a 404 status code.

<Snippet file="workflow/workflow-dlq-message-type.mdx" />

<RequestExample>
  ```sh theme={null}
  curl -X GET https://qstash.upstash.io/v2/workflows/dlq/my-dlq-id \
    -H "Authorization: Bearer <token>"
  ```
</RequestExample>

<ResponseExample>
  ```json 200 OK theme={null}
  {
    "messageId":"msg_26hZCxZCuWyyTWPmSVBrNC1RADwpgWxPcak2rQD51EMjFMuzcW7qYXpPiDyw8Gd",
    "url":"https://my.app/workflow",
    "method":"POST",
    "header":{
      "Content-Type":[
          "application/json"
      ]
    },
    "maxRetries":10,
    "notBefore":1752829294505,
    "createdAt":1752829294505,
    "failureCallback":"https://my.app/workflow",
    "callerIP":"88.240.188.2",
    "workflowRunId":"wfr_5XAx4IJergqkGK1v23VzR",
    "workflowCreatedAt":1752829293531,
    "workflowUrl":"https://my.app/workflow",
    "responseStatus":489,
    "responseHeader":{
      "Content-Type":[
          "text/plain;charset=UTF-8"
      ]
    },
    "responseBody":"{\"error\":\"WorkflowNonRetryableError\",\"message\":\"this workflow has stopped\"}",
    "failureCallbackInfo":{
      "state":"CALLBACK_SUCCESS",
      "responseStatus":200,
      "responseBody":"{\"workflowRunId\":\"wfr_Q_khHG-a414M-xKRh2kNI\"}",
      "responseHeaders":{
          "Content-Type":[
            "text/plain;charset=UTF-8"
          ]
      }
    },
    "dlqId":"1752829295505-0"
  }
  ```
</ResponseExample>
